Subject: bug#42265: 28.0.50; different user experience with/out native-comp

From: Andrea Corallo <[email-masked]>
Date: Wed, 08 Jul 2020 15:40:37 +0000

Gregor Zattler <[email-masked]> writes:

>> Just a question to understand where to start investigating, have you
>> tried compiling without NATIVE_FAST_BOOT and see if it makes a
>> difference?
>
> with --with-nativecomp but without NATIVE_FAST_BOOT=1 ?
>
> No.

Yes, I asked that because since the compilation got vastly faster I
rarely if ever used NATIVE_FAST_BOOT.

> But I did use it long enough and restartet emacs
> several times, so all the eln files could have been
> compiled.  Actually I realized the problem over a week ago
> and used emacs anyway for most of the time but redid the
> test with the two builds yesterday and today.
>
> Is this allready sufficient or should I give it a try
> with --with-nativecomp but without NATIVE_FAST_BOOT=1 ?
>
> Ciao,
> --
> Gregor

No problem, I want to finish the branch I'm cooking-up, most likely this
weekend I'll move into this issue.  In case I do not manage to reproduce
I'll ask you some more info but should be reproducible.

Ciao!
  Andrea
  
-- 
[email-masked]